Bug 597768 - [abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib64/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib64/firefox-3.6/firefox ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:6948608aeabc48c4417fedbbe27...
:
: 611904 636691 636965 637558 640378 648528 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-30 08:43 EDT by Adam Pribyl
Modified: 2011-06-27 13:05 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:05:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (90.75 KB, text/plain)
2010-05-30 08:43 EDT, Adam Pribyl
no flags Details

  None (edit)
Description Adam Pribyl 2010-05-30 08:43:09 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/firefox-3.6/firefox -UILocale cs
component: firefox
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib64/firefox-3.6/firefox
global_uuid: 6948608aeabc48c4417fedbbe27431feeefb5d15
kernel: 2.6.33.4-95.fc13.x86_64
package: firefox-3.6.3-4.fc13
rating: 4
reason: Process /usr/lib64/firefox-3.6/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)

comment
-----
Firefox in F13 crashes every now and than when I try play some video streams using vlc plugin. I already removed nspluginwrapper, as I thought it's the cause, because firefox was starting vlc plugin every second run, while every first printing out message 
*** NSPlugin Wrapper *** ERROR: NPP_SetWindow() wait for reply: Connection closed
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:1927):invoke_NPP_SetWindow: assertion failed: (rpc_method_invoke_possible(plugin->connection))
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:1927):invoke_NPP_SetWindow: assertion failed: (rpc_method_invoke_possible(plugin->connection))
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:2167):invoke_NPP_NewStream: assertion failed: (rpc_method_invoke_possible(plugin->connection))
*** NSPlugin Wrapper *** WARNING:(../src/npw-wrapper.c:1927):invoke_NPP_SetWindow: assertion failed: (rpc_method_invoke_possible(plugin->connection))

How to reproduce
-----
1. Click on stream that should start vlc plugin
2.
3.
Comment 1 Adam Pribyl 2010-05-30 08:43:12 EDT
Created attachment 418018 [details]
File: backtrace
Comment 2 Adam Pribyl 2010-06-07 04:55:42 EDT
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Firefox 3.6 is really unstable here. It is mostly crashing all the time when it has to start any kind of plugin. In this case probably vlc.
Comment 3 Adam Pribyl 2010-06-07 05:06:32 EDT
I was able to reproduce similar crash with seamonkey too:
http://bugzilla.redhat.com/show_bug.cgi?id=601109
Comment 4 hooverdn 2010-06-22 20:49:46 EDT
Package: firefox-3.6.3-4.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.Play an avi file (or probably any video) with Firefox vlc plugin.
2. Stop it and try to play another video with the same plugin.
3.Firefox crashes.
Comment 5 Adam Pribyl 2010-06-23 04:55:51 EDT
Most probably this is a bug in vlc - see 
https://bugzilla.rpmfusion.org/show_bug.cgi?id=1261
Updating the VLC to lastes updates-testing seems to fix the crashes for me.
Comment 6 d. johnson 2010-08-03 14:39:28 EDT
Thank you for the update.  Is it OK to close this bug with CURRENTRELEASE now?





-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Adam Pribyl 2010-08-03 17:31:57 EDT
Well, the new version of vlc is still not released, it's in private repository of maintainer kwizart. At best as UPSTREAM. But I would rather wait until new vlc is available from rpmfusion to updates. VLC is somewhat outdate in rpmfusion.
Comment 8 d. johnson 2010-08-03 18:18:29 EDT
Which version fixes this issue so that I can watch for it?

Thanks.
Comment 9 Adam Pribyl 2010-08-04 04:07:30 EDT
vlc >= 1.1.0
Comment 10 Adam Pribyl 2010-08-08 15:07:14 EDT
Crash also with new vlc version: https://bugzilla.redhat.com/show_bug.cgi?id=622297
Comment 11 d. johnson 2010-08-08 15:36:30 EDT
Disable extensions, plugins and non-default themes. Clear cookies and cache. Exit the browser completely.  Then restart the browser and attempt to replicate the crash.

Specifically, you have Flash, rhythmbox, Java, and Skype, in addition to VLC with every extension enabled.

Your debuginfo is missing for each.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 12 Karel Klíč 2010-11-09 08:38:35 EST
*** Bug 611904 has been marked as a duplicate of this bug. ***
Comment 13 Karel Klíč 2010-11-09 08:38:41 EST
*** Bug 636691 has been marked as a duplicate of this bug. ***
Comment 14 Karel Klíč 2010-11-09 08:38:46 EST
*** Bug 636965 has been marked as a duplicate of this bug. ***
Comment 15 Karel Klíč 2010-11-09 08:38:51 EST
*** Bug 637558 has been marked as a duplicate of this bug. ***
Comment 16 Karel Klíč 2010-11-09 08:39:00 EST
*** Bug 640378 has been marked as a duplicate of this bug. ***
Comment 17 Karel Klíč 2010-11-09 08:39:05 EST
*** Bug 648528 has been marked as a duplicate of this bug. ***
Comment 18 Bug Zapper 2011-06-02 08:47:18 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2011-06-27 13:05:29 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.